<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

// mod Plato
// icq: 258549

only_reg();

$set['title']='Новая запись';
include_once '../sys/inc/thead.php';
title();
aut();


if (isset($_POST['add']))
{

$title = htmlspecialchars(trim($_POST['title']));
$msg = htmlspecialchars(trim($_POST['msg']));
$privat = trim($_POST['privat']);
$komm = trim($_POST['komm']);

if (empty($title)) $err[] = 'Не введен заголовок';
else if (strlen2($title) > 32) $err[] = 'Слишком длинный заголовок (макс. 32)';
else if (strlen2($title) < 3) $err[] = 'Слишком короткий заголовок (мин. 3)';

if (empty($msg)) $err[] = 'Не введен текст';
else if (strlen2($msg) > 3000) $err[] = 'Слишком длинный текст (макс. 3000)';
else if (strlen2($msg) < 3) $err[] = 'Слишком короткий текст (мин. 3)';

if (isset($privat)) {
if ($privat != 1) $privat = 0;
}

if (isset($komm)) {
if ($komm != 1) $komm = 0;
}

if (!isset($err))
{
// формируем запрос
$sql = mysql_query("INSERT INTO `blog_list` (`id_user`, `name`, `msg`, `time`, `privat`, `komm`) values('$user[id]', '$title', '$msg', '$time', '$privat', '$komm')");

// выводим результат
if ($sql) {
$id_b = mysql_insert_id();

header('Location: list.php?id='. $id_b);
} else {
$err[] = 'Ошибка при запросе к базе данных';
}
}
}

err(); // вывод ошибок

// форма добавления
echo '<form method="post" action="add.php">
<div class="menu">
Заголовок: <br />
<input type="text" name="title" /><br />
Текст: <br />
<textarea name="msg" rows="4" cols="20"></textarea><br />
<input type="checkbox" name="privat" value="1" /> Приватная запись<br />
<input type="checkbox" name="komm" value="1" /> Запретить комментарии<br />
<input type="submit" name="add" value="Добавить" />
</div>
</form>';

// навигация
echo '<div class="foot">
<a href="index.php">К дневникам</a>
</div>';

include_once '../sys/inc/tfoot.php';
?>